<?php

namespace QUI\ERP\Coupons\Products;

use QUI;
use QUI\ERP\Products\Product\Types\DigitalProduct;

/**
 * Class DigitalProduct
 *
 * Represents a non-physical product that does not require shipping.
 */
class CouponProductType extends DigitalProduct
{
    /**
     * Special fields for coupon products
     */
    const PRODUCT_FIELD_ID_TRANSFERABLE               = 670;
    const PRODUCT_FIELD_ID_GENERATE_PDF               = 671;
    const PRODUCT_FIELD_ID_COUPON_AMOUNT              = 672;
    const PRODUCT_FIELD_ID_DAYS_VALID                 = 673;
    const PRODUCT_FIELD_ID_COUPON_DESCRIPTION         = 674;
    const PRODUCT_FIELD_ID_IS_PRODUCT_SPECIFIC_COUPON = 675;

    /**
     * @param QUI\Locale $Locale
     * @return string
     */
    public static function getTypeTitle($Locale = null)
    {
        if ($Locale === null) {
            $Locale = QUI::getLocale();
        }

        return $Locale->get('quiqqer/coupons', 'product_type.CouponProductType.title');
    }

    /**
     * @param QUI\Locale $Locale
     * @return string
     */
    public static function getTypeDescription($Locale = null)
    {
        if ($Locale === null) {
            $Locale = QUI::getLocale();
        }

        return $Locale->get('quiqqer/coupons', 'product_type.CouponProductType.description');
    }
}
